# [Paper Kit 2 PRO Angular - Premium Bootstrap 4 UI Kit](https://creativetimofficial.github.io/paper-kit-2-pro-angular/presentation) [![version][version-badge]][CHANGELOG]

![Paper Kit 2 PRO Angular ](https://s3.amazonaws.com/creativetim_bucket/products/68/original/opt_pk2p_angular_thumbnail.jpg?1501180792)

Paper Kit 2 PRO Angular is a premium Bootstrap 4 UI Kit with a huge number of components, sections and example pages. All the components are designed to look great together, following the same design pattern. Any elements that is vital to code a web project is already here, fully coded. All components are fully responsive and look great on every screen size. Transitions, shadows, colors, they all resemble the flow you would have using pieces of paper.

The idea behind Paper Kit 2 PRO Angular is creating beautiful, playful design. We have created the UI Kit kit having pastel colors and paper in mind. It feels light, fresh and easy to go through. It looks great with illustrations and drawings, but also using images. It features beautiful typography, font icons and thoughtful layouts.

Paper Kit 2 PRO Angular is the extended version of [Paper Kit 2 Angular](https://www.creative-tim.com/product/paper-kit-2-angular). Based on feedback from people that downloaded and used it, we have added needed components and we have created multiple examples pages. We are curious to see how you
want to use it and also improve it, so let us know any feedback you have.


**Bootstrap 4 support**

Paper Kit PRO Angular is built on top of Bootstrap 4, so it fully supports it. Most of the elements from the framework are re-designed to resemble sheets of paper and color pastels. If the are elements that we have not touched, they will gracefully fall back to the Bootstrap 4 default.

**Examples**

Paper Kit 2 PRO Angular contains a lot of pages already designed and implemented. The pages are created for basic flows like registering, building a profile, adding and searching for products. Either you are building a blog or an e-commerce, the examples can help you jump start it. Here is the list with the pages available. We are also working on more example pages, that you will be able to access no matter the version you download.


- [About Us](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/aboutus)
- [Add Product](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/addproduct)
- [Blog Post](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/blogpost)
- [Blog Posts](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/blogposts)
- [Contact US](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/contactus)
- [Discover](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/discover)
- [Ecommerce](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/ecommerce)
- [Landing Page](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/landing)
- [Login Page](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/login)
- [Profile Page](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/profile)
- [Register Page](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/register)
- [Search](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/search)
- [Settings](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/settings)
- [Error Page - 404](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/page404)
- [Error Page - 422](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/page422)
- [Error Page - 500](https://creativetimofficial.github.io/paper-kit-2-pro-angular/examples/page500)

**Tutorial & Components**

Once you download the archive, you will be able find a tutorial page inside it explaining how to start using it. We have also created a page describing every component that you can find it inside the kit, how to use it along with a fully coded examples.

You can also check the [documentation online](https://creativetimofficial.github.io/paper-kit-2-pro-angular/documentation/tutorial).

## Terminal Commands

1. Install NodeJs from [NodeJs Official Page](https://nodejs.org/en).
2. Open Terminal
3. Go to your file project
4. Run in terminal: ```npm install -g @angular/cli```
5. Then: ```npm install```
6. And: ```npm start```
7. Navigate to [localhost:4200](localhost:4200)


Let us know your thoughts below. And good luck with development!

## Table of Contents

* [Versions](#versions)
* [Demo](#demo)
* [Quick Start](#quick-start)
* [Documentation](#documentation)
* [File Structure](#file-structure)
* [Browser Support](#browser-support)
* [Resources](#resources)
* [Reporting Issues](#reporting-issues)
* [Technical Support or Questions](#technical-support-or-questions)
* [Licensing](#licensing)
* [Useful Links](#useful-links)


## Versions

[<img src="https://s3.amazonaws.com/creativetim_bucket/github/html.png" width="60" height="60" />](https://www.creative-tim.com/product/paper-kit-2-pro)
[<img src="https://s3.amazonaws.com/creativetim_bucket/github/angular.png" width="60" height="60" />](https://www.creative-tim.com/product/paper-kit-2-pro-angular)


| HTML | Angular |
| ---  | --- |
| [![Paper Kit 2 Pro HTML](https://s3.amazonaws.com/creativetim_bucket/products/60/opt_pk2p_thumbnail.jpg)](https://www.creative-tim.com/product/paper-kit-2-pro) | [![Paper Kit 2 Pro Angular](http://s3.amazonaws.com/creativetim_bucket/products/68/original/opt_pk2p_angular_thumbnail.jpg)](https://www.creative-tim.com/product/paper-kit-2-pro-angular)

## Demo

- [Start page](https://demos.creative-tim.com/paper-kit-2-pro-angular/documentation/tutorial)
- [Components page](https://demos.creative-tim.com/paper-kit-2-pro-angular/components)
- [Sections page ](https://demos.creative-tim.com/paper-kit-2-pro-angular/sections#headers)

[View More](https://demos.creative-tim.com/paper-kit-2-pro-angular/presentation).


## Quick start

Quick start options:

- Buy from [Creative Tim](https://www.creative-tim.com/product/paper-kit-2-pro-angular)


## Documentation
The documentation for the Paper Kit 2 Pro Angular is hosted at our [website](https://demos.creative-tim.com/paper-kit-2-pro-angular/documentation/tutorial).


## File Structure

Within the download you'll find the following directories and files:

```
paper-kit-2-pro-angular
├── CHANGELOG.md
├── README.md
├── angular.json
├── documentation
│   ├── css
│   ├── js
│   └── tutorial-components.html
├── e2e
├── karma.conf.js
├── package-lock.json
├── package.json
├── protractor.conf.js
├── src
│   ├── app
│   │   ├── app.component.html
│   │   ├── app.component.scss
│   │   ├── app.component.spec.ts
│   │   ├── app.component.ts
│   │   ├── app.module.ts
│   │   ├── app.routing.ts
│   │   ├── components
│   │   │   ├── basicelements
│   │   │   │   ├── basicelements.component.html
│   │   │   │   ├── basicelements.component.scss
│   │   │   │   ├── basicelements.component.spec.ts
│   │   │   │   └── basicelements.component.ts
│   │   │   ├── cards-areas
│   │   │   │   ├── cards-areas.component.html
│   │   │   │   ├── cards-areas.component.scss
│   │   │   │   ├── cards-areas.component.spec.ts
│   │   │   │   └── cards-areas.component.ts
│   │   │   ├── comments-areas
│   │   │   │   ├── comments-areas.component.html
│   │   │   │   ├── comments-areas.component.scss
│   │   │   │   ├── comments-areas.component.spec.ts
│   │   │   │   └── comments-areas.component.ts
│   │   │   ├── components.component.html
│   │   │   ├── components.component.ts
│   │   │   ├── components.module.ts
│   │   │   ├── description-areas
│   │   │   │   ├── description-areas.component.html
│   │   │   │   ├── description-areas.component.scss
│   │   │   │   ├── description-areas.component.spec.ts
│   │   │   │   └── description-areas.component.ts
│   │   │   ├── footers-areas
│   │   │   │   ├── footers-areas.component.html
│   │   │   │   ├── footers-areas.component.scss
│   │   │   │   ├── footers-areas.component.spec.ts
│   │   │   │   └── footers-areas.component.ts
│   │   │   ├── info-areas
│   │   │   │   ├── info-areas.component.html
│   │   │   │   ├── info-areas.component.scss
│   │   │   │   ├── info-areas.component.spec.ts
│   │   │   │   └── info-areas.component.ts
│   │   │   ├── modal
│   │   │   │   ├── modal.component.html
│   │   │   │   ├── modal.component.scss
│   │   │   │   ├── modal.component.spec.ts
│   │   │   │   └── modal.component.ts
│   │   │   ├── navigation
│   │   │   │   ├── navigation.component.html
│   │   │   │   ├── navigation.component.scss
│   │   │   │   ├── navigation.component.spec.ts
│   │   │   │   └── navigation.component.ts
│   │   │   ├── notification
│   │   │   │   ├── notification.component.html
│   │   │   │   ├── notification.component.scss
│   │   │   │   ├── notification.component.spec.ts
│   │   │   │   └── notification.component.ts
│   │   │   ├── nucleoicons
│   │   │   │   ├── nucleoicons.component.html
│   │   │   │   ├── nucleoicons.component.scss
│   │   │   │   ├── nucleoicons.component.spec.ts
│   │   │   │   └── nucleoicons.component.ts
│   │   │   ├── prefooter-areas
│   │   │   │   ├── prefooter-areas.component.html
│   │   │   │   ├── prefooter-areas.component.scss
│   │   │   │   ├── prefooter-areas.component.spec.ts
│   │   │   │   └── prefooter-areas.component.ts
│   │   │   ├── tables-areas
│   │   │   │   ├── tables-areas.component.html
│   │   │   │   ├── tables-areas.component.scss
│   │   │   │   ├── tables-areas.component.spec.ts
│   │   │   │   └── tables-areas.component.ts
│   │   │   └── typography
│   │   │       ├── typography.component.html
│   │   │       ├── typography.component.scss
│   │   │       ├── typography.component.spec.ts
│   │   │       └── typography.component.ts
│   │   ├── examples
│   │   │   ├── aboutus
│   │   │   │   ├── aboutus.component.html
│   │   │   │   ├── aboutus.component.scss
│   │   │   │   ├── aboutus.component.spec.ts
│   │   │   │   └── aboutus.component.ts
│   │   │   ├── addproduct
│   │   │   │   ├── addproduct.component.html
│   │   │   │   ├── addproduct.component.scss
│   │   │   │   ├── addproduct.component.spec.ts
│   │   │   │   └── addproduct.component.ts
│   │   │   ├── blogpost
│   │   │   │   ├── blogpost.component.html
│   │   │   │   ├── blogpost.component.scss
│   │   │   │   ├── blogpost.component.spec.ts
│   │   │   │   └── blogpost.component.ts
│   │   │   ├── blogposts
│   │   │   │   ├── blogposts.component.html
│   │   │   │   ├── blogposts.component.scss
│   │   │   │   ├── blogposts.component.spec.ts
│   │   │   │   └── blogposts.component.ts
│   │   │   ├── contactus
│   │   │   │   ├── contactus.component.html
│   │   │   │   ├── contactus.component.scss
│   │   │   │   ├── contactus.component.spec.ts
│   │   │   │   └── contactus.component.ts
│   │   │   ├── discover
│   │   │   │   ├── discover.component.html
│   │   │   │   ├── discover.component.scss
│   │   │   │   ├── discover.component.spec.ts
│   │   │   │   └── discover.component.ts
│   │   │   ├── ecommerce
│   │   │   │   ├── ecommerce.component.html
│   │   │   │   ├── ecommerce.component.scss
│   │   │   │   ├── ecommerce.component.spec.ts
│   │   │   │   └── ecommerce.component.ts
│   │   │   ├── examples.component.html
│   │   │   ├── examples.component.scss
│   │   │   ├── examples.component.spec.ts
│   │   │   ├── examples.component.ts
│   │   │   ├── examples.module.ts
│   │   │   ├── landing
│   │   │   │   ├── landing.component.html
│   │   │   │   ├── landing.component.scss
│   │   │   │   ├── landing.component.spec.ts
│   │   │   │   └── landing.component.ts
│   │   │   ├── login
│   │   │   │   ├── login.component.html
│   │   │   │   ├── login.component.scss
│   │   │   │   ├── login.component.spec.ts
│   │   │   │   └── login.component.ts
│   │   │   ├── page404
│   │   │   │   ├── page404.component.html
│   │   │   │   ├── page404.component.scss
│   │   │   │   ├── page404.component.spec.ts
│   │   │   │   └── page404.component.ts
│   │   │   ├── page422
│   │   │   │   ├── page422.component.html
│   │   │   │   ├── page422.component.scss
│   │   │   │   ├── page422.component.spec.ts
│   │   │   │   └── page422.component.ts
│   │   │   ├── page500
│   │   │   │   ├── page500.component.html
│   │   │   │   ├── page500.component.scss
│   │   │   │   ├── page500.component.spec.ts
│   │   │   │   └── page500.component.ts
│   │   │   ├── productpage
│   │   │   │   ├── productpage.component.html
│   │   │   │   ├── productpage.component.scss
│   │   │   │   ├── productpage.component.spec.ts
│   │   │   │   └── productpage.component.ts
│   │   │   ├── profile
│   │   │   │   ├── profile.component.html
│   │   │   │   ├── profile.component.scss
│   │   │   │   ├── profile.component.spec.ts
│   │   │   │   └── profile.component.ts
│   │   │   ├── register
│   │   │   │   ├── register.component.html
│   │   │   │   ├── register.component.scss
│   │   │   │   ├── register.component.spec.ts
│   │   │   │   └── register.component.ts
│   │   │   ├── search
│   │   │   │   ├── search.component.html
│   │   │   │   ├── search.component.scss
│   │   │   │   ├── search.component.spec.ts
│   │   │   │   └── search.component.ts
│   │   │   ├── settings
│   │   │   │   ├── settings.component.html
│   │   │   │   ├── settings.component.scss
│   │   │   │   ├── settings.component.spec.ts
│   │   │   │   └── settings.component.ts
│   │   │   └── twitter
│   │   │       ├── twitter.component.html
│   │   │       ├── twitter.component.scss
│   │   │       ├── twitter.component.spec.ts
│   │   │       └── twitter.component.ts
│   │   ├── favicon.ico
│   │   ├── presentation
│   │   │   ├── presenatation.component.spec.ts
│   │   │   ├── presentation.component.html
│   │   │   ├── presentation.component.scss
│   │   │   ├── presentation.component.ts
│   │   │   └── presentation.module.ts
│   │   ├── sections
│   │   │   ├── blogs
│   │   │   │   ├── blogs.component.html
│   │   │   │   ├── blogs.component.scss
│   │   │   │   ├── blogs.component.spec.ts
│   │   │   │   └── blogs.component.ts
│   │   │   ├── contacts
│   │   │   │   ├── contacts.component.html
│   │   │   │   ├── contacts.component.scss
│   │   │   │   ├── contacts.component.spec.ts
│   │   │   │   └── contacts.component.ts
│   │   │   ├── features
│   │   │   │   ├── features.component.html
│   │   │   │   ├── features.component.scss
│   │   │   │   ├── features.component.spec.ts
│   │   │   │   └── features.component.ts
│   │   │   ├── headers
│   │   │   │   ├── headers.component.html
│   │   │   │   ├── headers.component.scss
│   │   │   │   ├── headers.component.spec.ts
│   │   │   │   └── headers.component.ts
│   │   │   ├── pricing
│   │   │   │   ├── pricing.component.html
│   │   │   │   ├── pricing.component.scss
│   │   │   │   ├── pricing.component.spec.ts
│   │   │   │   └── pricing.component.ts
│   │   │   ├── projects
│   │   │   │   ├── projects.component.html
│   │   │   │   ├── projects.component.scss
│   │   │   │   ├── projects.component.spec.ts
│   │   │   │   └── projects.component.ts
│   │   │   ├── sections.component.html
│   │   │   ├── sections.component.scss
│   │   │   ├── sections.component.spec.ts
│   │   │   ├── sections.component.ts
│   │   │   ├── sections.module.ts
│   │   │   ├── teams
│   │   │   │   ├── teams.component.html
│   │   │   │   ├── teams.component.scss
│   │   │   │   ├── teams.component.spec.ts
│   │   │   │   └── teams.component.ts
│   │   │   └── testimonials
│   │   │       ├── testimonials.component.html
│   │   │       ├── testimonials.component.scss
│   │   │       ├── testimonials.component.spec.ts
│   │   │       └── testimonials.component.ts
│   │   └── shared
│   │       ├── image-upload
│   │       │   ├── image-upload.component.html
│   │       │   ├── image-upload.component.scss
│   │       │   ├── image-upload.component.spec.ts
│   │       │   ├── image-upload.component.ts
│   │       │   └── image-upload.module.ts
│   │       └── navbar
│   │           ├── navbar.component.html
│   │           ├── navbar.component.scss
│   │           ├── navbar.component.spec.ts
│   │           └── navbar.component.ts
│   ├── assets
│   │   ├── css
│   │   ├── fonts
│   │   ├── img
│   │   ├── sass
│   │   │   ├── demo.scss
│   │   │   ├── paper-kit
│   │   │   └── paper-kit.scss
│   │   └── video
│   ├── environments
│   ├── favicon.ico
│   ├── index.html
│   ├── main.ts
│   ├── polyfills.ts
│   ├── styles.css
│   ├── test.ts
│   ├── tsconfig.app.json
│   ├── tsconfig.spec.json
│   └── typings.d.ts
├── tsconfig.json
└── tslint.json

```
## Browser Support

At present, we officially aim to support the last two versions of the following browsers:

<img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/chrome.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/firefox.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/edge.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/safari.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/opera.png" width="64" height="64">


## Resources
- [Live Preview](https://demos.creative-tim.com/paper-kit-2-pro-angular/presentation)
- Buy Page: https://www.creative-tim.com/product/paper-kit-2-pro-angular
- Documentation is [here](https://demos.creative-tim.com/paper-kit-2-pro-angular/documentation/tutorial)
- License Agreement: https://www.creative-tim.com/license
- Support: https://www.creative-tim.com/contact-us
- Issues: [Github Issues Page](https://github.com/creativetimofficial/ct-paper-kit-2-pro-angular/issues)
- Paper Kit 2 Angular - [demo](https://demos.creative-tim.com/paper-kit-2-angular/home?ref=github-pk2-pro-angular)

## Reporting Issues
We use GitHub Issues as the official bug tracker for the Material Dashboard Pro. Here are some advices for our users that want to report an issue:

1. Make sure that you are using the latest version of the Paper Kit 2 PRO Angular. Check the CHANGELOG from your dashboard on our [website](https://www.creative-tim.com/).
2. Providing us reproducible steps for the issue will shorten the time it takes for it to be fixed.
3. Some issues may be browser specific, so specifying in what browser you encountered the issue might help.

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](https://www.creative-tim.com/contact-us) instead of opening an issue.

## Licensing

- Copyright 2018 Creative Tim (https://www.creative-tim.com)
- Creative Tim [license](https://www.creative-tim.com/license)

## Useful Links

 - [More products](https://www.creative-tim.com/bootstrap-themes) from Creative Tim

- [Tutorials](https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w)

- [Freebies](https://www.creative-tim.com/bootstrap-themes/free) from Creative Tim

- [Affiliate Program](https://www.creative-tim.com/affiliates/new) (earn money)

##### Social Media

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>

[CHANGELOG]: ./CHANGELOG.md
[version-badge]: https://img.shields.io/badge/version-1.2.0-blue.svg
